<?php
	require_once "../../maincore.php";
	require_once "common.php";

	if ($version == "7") {
		require_once THEMES."templates/admin_header_mce.php";
	} else {
		require_once BASEDIR."subheader.php";
		require_once ADMIN."navigation.php";
	};

	if (!checkRights("RQP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) {
		redirect(BASEDIR."index.php");
		exit;
	};

	if (file_exists(INFUSIONS."random_quote_panel/locale/".$settings['locale'].".php")) {
		include INFUSIONS."random_quote_panel/locale/".$settings['locale'].".php";
	} else {
		include INFUSIONS."random_quote_panel/locale/Russian.php";
	};

	if (isset($_GET['status'])) {
		if ($_GET['status'] == "deln") {
			$message = "<b>".$locale['rqp161']."</b>";
			$title = $locale['rqp122'];
		} elseif ($_GET['status'] == "dely") {
			$message = "<b>".$locale['rqp160']."</b>";
			$title = $locale['rqp122'];
		} elseif ($_GET['status'] = "inerr") {
			$message = "<b>".$locale['rqp162']."</b>";
			$title = $locale['rqp120'];
		};

		if ($message) {	echo "<div class='admin-message'>".$title."<br>.$message"."</div>\n"; }
	};

	if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['quote_id']) && isnum($_GET['quote_id']))) {
		$result = dbquery("delete from ".$db_prefix."random_quotes where rq_id='".$_GET['quote_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	} else {
		if (isset($_POST['save_quote'])) {
			$rq_author = trim(stripinput(strip_tags($_POST['rq_author'])));
			$rq_quote = trim(stripinput(strip_tags($_POST['rq_quote'])));
			if ($rq_author == "" || $rq_quote == "") {
				redirect(FUSION_SELF.$aidlink."&status=inerr");
				exit;
			};
			$rq_level = isNum($_POST['rq_level']) ? $_POST['rq_level'] : "0";		
			if (isset($_GET['action']) && $_GET['action'] == "edit") {
				$result = dbquery("update ".$db_prefix."random_quotes set rq_author='$rq_author', rq_quote='$rq_quote', rq_level='$rq_level' where rq_id=".$_GET['quote_id']);
			} else {
				$result = dbquery("insert into ".$db_prefix."random_quotes (rq_author, rq_quote, rq_level) values ('$rq_author', '$rq_quote', '$rq_level')");
			};
			redirect(FUSION_SELF.$aidlink);
		}
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['quote_id']) && isnum($_GET['quote_id']))) {
			$result = dbquery("select * from ".$db_prefix."random_quotes where rq_id=".$_GET['quote_id']);
			if (dbrows($result)) {
				$data = dbarray($result);
				$rq_author = $data['rq_author'];
				$rq_quote = $data['rq_quote'];
				$rq_level = $data['rq_level'];
				$formaction = FUSION_SELF.$aidlink."&action=edit&amp;quote_id=".$data['rq_id'];
				opentable($locale['rqp121']);
			} else {
				redirect(FUSION_SELF.$aidlink);
			}
		} else {
			$rq_author = "";
			$rq_quote = "";
			$rq_level = 0;
			$formaction = FUSION_SELF.$aidlink;
			opentable($locale['rqp120']);
		};

		echo "<form name='community_group_from' method='post' action='$formaction'>
			<table align='center' cellpadding='0' cellspacing='0' width='400'>
			<tr>
			<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rqp130']."</td>
			<td class='tbl'><input type='text' name='rq_author' value='$rq_author' class='textbox' style='width:250px;'></td>
			</tr>
			<tr>
			<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rqp131']."</td>
			<td class='tbl'><input type='text' name='rq_quote' value='$rq_quote' class='textbox' style='width:250px;'></td>
			</tr>
			<tr>
			<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['rqp132']."</td>
			<td class='tbl'><select name='rq_level' class='textbox' style='width:250px;'>
			<option value='0'".($rq_level == 0 ? " selected" : "").">".$locale['rqp133']."</option>
			<option value='101'".($rq_level == 101 ? " selected" : "").">".$locale['rqp134']."</option>
			<option value='102'".($rq_level == 102 ? " selected" : "").">".$locale['rqp135']."</option>
			<option value='103'".($rq_level == 103 ? " selected" : "").">".$locale['rqp136']."</option>
			</select></td>
			</tr>
			<tr>
			<td align='center' colspan='2' class='tbl'>
			<input type='submit' name='save_quote' value='".$locale['rqp149']."' class='button'></td>
			</tr>
			</table>
			</form>\n";

		closetable();


		opentable($locale['rqp123']);
		echo "<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'>";
		$quotecount = dbcount("(*)", PREFIX."random_quotes", "");
		if ($quotecount > 0) {
			if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
			echo "<tr>
				<td class='tbl2'>".$locale['rqp154']."</td>
				<td class='tbl2' width='1%' style='white-space:nowrap'>".$locale['rqp153']."</td>
				<td class='tbl2' width='1%' style='white-space:nowrap'>".$locale['rqp155']."</td></tr>";
			$cnt = 1;
			$result = dbquery("select * from ".$db_prefix."random_quotes order by rq_author, rq_quote LIMIT ".$_GET['rowstart'].", 20");
			while ($data = dbarray($result)) {
				echo "<tr><td class='tbl".$cnt."'>".$data['rq_quote']."</td>
					<td class='tbl".$cnt."' width='1%'>".$data['rq_author']."</td>
					<td class='tbl".$cnt."' width='1%' style='white-space:nowrap'>
					<a href='".FUSION_SELF.$aidlink."&action=edit&amp;quote_id=".$data['rq_id']."'>".$locale['rqp150']."</a> - 
					<a href='".FUSION_SELF.$aidlink."&action=delete&amp;quote_id=".$data['rq_id']."'>".$locale['rqp151']."</a>
					</td></tr>";
				$cnt = 3 - $cnt;
			};
			echo "</table>";
			if ($quotecount > 20) {
				echo "<div align='center' style='margin-top:5px;'>".makePageNav($_GET['rowstart'], 20, $quotecount, 3, FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
			};
		} else {
			echo "<tr><td align='center' class='tbl1'>".$locale['rqp152']."</td></tr>\n</table>\n";
		};
		closetable();
	};

	if ($version == "7") {
		require_once THEMES."templates/footer.php";
	} else {
		echo "</td>\n";
		require_once BASEDIR."footer.php";
	};
?>